Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Class TypedProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  com.beasys.commerce.axiom.util.TypedProperties

All Implemented Interfaces
  Serializable, Cloneable, Map<Object,Object>

Deprecated moved to com.bea.p13n.util.TypedProperties

    @Deprecated
    public class TypedProperties

extends Properties

Extension of properties class to return typed versions of your properties.

See Also
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`TypedProperties()` Deprecated Default constructor.

Method Summary
`String[]` | `getPropertyAsArray(String aPropertyName)` Deprecated If a property has a comma separated list, this method will parse it into a String array.
`boolean` | `getPropertyAsBool(String aPropertyName)` Deprecated Get a boolean property value.
`boolean` | `getPropertyAsBool(String aPropertyName, boolean def)` Deprecated Get a boolean property value.
`double` | `getPropertyAsDouble(String aPropertyName)` Deprecated Get the property as a double value.
`float` | `getPropertyAsFloat(String aPropertyName)` Deprecated Get the property as a float value.
`double` | `getPropertyAsFloat(String aPropertyName, double def)` Deprecated Get the property as a double value.
`float` | `getPropertyAsFloat(String aPropertyName, float def)` Deprecated Get the property as a float value.
`int` | `getPropertyAsInt(String aPropertyName)` Deprecated Look for a property and return it as an int.
`int` | `getPropertyAsInt(String aPropertyName, int def)` Deprecated Look for a property and return it as an int.
`long` | `getPropertyAsLong(String aPropertyName)` Deprecated Get the property as a long value.
`long` | `getPropertyAsLong(String aPropertyName, long def)` Deprecated Get the property as a long value.
`String` | `getPropertyAsString(String aPropertyName)` Deprecated Just does getProperty.
`int` | `getPropertyHexAsInt(String aPropertyName)` Deprecated Return a hex representation of a number as a base 10 int.
`int` | `getPropertyHexAsInt(String aPropertyName, int def)` Deprecated Return a hex representation of a number as a base 10 int.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypedProperties

    public TypedProperties()

  Deprecated
  Default constructor.

Method Detail

### getPropertyAsInt

    public int getPropertyAsInt(String aPropertyName,
                                int def)

  Deprecated
  Look for a property and return it as an int.

  Parameters
    `aPropertyName` - the property name.
    `def` - the default int value if the property is not found.
  Returns
    int the value

### getPropertyAsInt

    public int getPropertyAsInt(String aPropertyName)

  Deprecated
  Look for a property and return it as an int.

  Parameters
    `aPropertyName` - the property name.
  Returns
    int the value(-1 if not found)

### getPropertyHexAsInt

    public int getPropertyHexAsInt(String aPropertyName,
                                   int def)

  Deprecated
  Return a hex representation of a number as a base 10 int.

  Parameters
    `aPropertyName` - the property name to look for.
    `def` - the default value.
  Returns
    int

### getPropertyHexAsInt

    public int getPropertyHexAsInt(String aPropertyName)

  Deprecated
  Return a hex representation of a number as a base 10 int.

  Parameters
    `aPropertyName` - the property name to look for.
  Returns
    int (-1 if not found)

### getPropertyAsLong

    public long getPropertyAsLong(String aPropertyName,
                                  long def)

  Deprecated
  Get the property as a long value.

  Parameters
    `aPropertyName` - the property name.
    `def` - the default value.
  Returns
    long

### getPropertyAsLong

    public long getPropertyAsLong(String aPropertyName)

  Deprecated
  Get the property as a long value.

  Parameters
    `aPropertyName` - the property name.
  Returns
    long (-1 if not found)

### getPropertyAsFloat

    public float getPropertyAsFloat(String aPropertyName,
                                    float def)

  Deprecated
  Get the property as a float value.

  Parameters
    `aPropertyName` - the property name.
    `def` - the default value.
  Returns
    float

### getPropertyAsFloat

    public float getPropertyAsFloat(String aPropertyName)

  Deprecated
  Get the property as a float value.

  Parameters
    `aPropertyName` - the property name.
  Returns
    float (-1 if not found)

### getPropertyAsFloat

    public double getPropertyAsFloat(String aPropertyName,
                                     double def)

  Deprecated
  Get the property as a double value.

  Parameters
    `aPropertyName` - the property name.
    `def` - the default value.
  Returns
    double

### getPropertyAsDouble

    public double getPropertyAsDouble(String aPropertyName)

  Deprecated
  Get the property as a double value.

  Parameters
    `aPropertyName` - the property name.
  Returns
    double (-1 if not found)

### getPropertyAsString

    public String getPropertyAsString(String aPropertyName)

  Deprecated
  Just does getProperty.

  Parameters
    `aPropertyName` - the property name.
  Returns
    String

### getPropertyAsBool

    public boolean getPropertyAsBool(String aPropertyName,
                                     boolean def)

  Deprecated
  Get a boolean property value.

  Parameters
    `aPropertyName` - the property name
    `def` - the default value
  Returns
    boolean

### getPropertyAsBool

    public boolean getPropertyAsBool(String aPropertyName)

  Deprecated
  Get a boolean property value.

  Parameters
    `aPropertyName` - the property name
  Returns
    boolean (if not found defaults to false)

### getPropertyAsArray

    public String[] getPropertyAsArray(String aPropertyName)

  Deprecated
  If a property has a comma separated list, this method will parse it into a String array.

  Parameters
    `String` - the property name.
  Returns
    String[] the array of values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.